import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubAppConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/app#id DataGithubApp#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/app#slug DataGithubApp#slug}
    */
    readonly slug: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/app github_app}
*/
export declare class DataGithubApp extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_app";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/app github_app} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubAppConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubAppConfig);
    get description(): string;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    get name(): string;
    get nodeId(): string;
    private _slug?;
    get slug(): string;
    set slug(value: string);
    get slugInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
